Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.spi
Class CurrencyNameProvider

    java.lang.Object
      java.util.spi.LocaleServiceProvider
          java.util.spi.CurrencyNameProvider

    public abstract class CurrencyNameProvider

extends LocaleServiceProvider

An abstract class for service providers that provide localized currency symbols for the `Currency` class. Note that currency symbols are considered names when determining behaviors described in the `LocaleServiceProvider` specification.

Since:
  1.6

Constructor Summary
`protected` | `CurrencyNameProvider()` Sole constructor.

Method Summary
`abstract String` | `getSymbol(String currencyCode, Locale locale)` Gets the symbol of the given currency code for the specified locale.

Methods inherited from class java.util.spi.LocaleServiceProvider
`getAvailableLocales`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrencyNameProvider

    protected CurrencyNameProvider()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### getSymbol

    public abstract String getSymbol(String currencyCode,
                                     Locale locale)

  Gets the symbol of the given currency code for the specified locale. For example, for "USD" (US Dollar), the symbol is "$" if the specified locale is the US, while for other locales it may be "US$". If no symbol can be determined, null should be returned.

  Parameters:
    `currencyCode` - the ISO 4217 currency code, which consists of three upper-case letters between 'A' (U+0041) and 'Z' (U+005A)
    `locale` - the desired locale
  Returns:
    the symbol of the given currency code for the specified locale, or null if the symbol is not available for the locale
  Throws:
    `NullPointerException` - if `currencyCode` or `locale` is null
    `IllegalArgumentException` - if `currencyCode` is not in the form of three upper-case letters, or `locale` isn't one of the locales returned from `getAvailableLocales()`.
  See Also:
    `Currency.getSymbol(java.util.Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.